package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 教学课程表
 * @Author: CaoZixuan
 * @Date: 2022-02-07
 */
@ApiModel(value = "TeachCourse对象", description = "教学课程表")
public class TeachCourse extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "考试id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;

    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "创建此教学课程的用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty(value = "是否删除")
    private Boolean enable;

    @ApiModelProperty(value = "权重设置")
    private Boolean weightSetting;

    @ApiModelProperty(value = "权重设置标识")
    private Long weightSettingSign;

    @ApiModelProperty(value = "知识点标识")
    private Long dimensionSign;

    @ApiModelProperty(value = "默认占比")
    private BigDecimal defaultRate;

    @ApiModelProperty(value = "自定义占比")
    private BigDecimal customRate;

    public TeachCourse() {

    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Boolean getWeightSetting() {
        return weightSetting;
    }

    public void setWeightSetting(Boolean weightSetting) {
        this.weightSetting = weightSetting;
    }

    public Long getWeightSettingSign() {
        return weightSettingSign;
    }

    public void setWeightSettingSign(Long weightSettingSign) {
        this.weightSettingSign = weightSettingSign;
    }

    public Long getDimensionSign() {
        return dimensionSign;
    }

    public void setDimensionSign(Long dimensionSign) {
        this.dimensionSign = dimensionSign;
    }

    public BigDecimal getDefaultRate() {
        return defaultRate;
    }

    public void setDefaultRate(BigDecimal defaultRate) {
        this.defaultRate = defaultRate;
    }

    public BigDecimal getCustomRate() {
        return customRate;
    }

    public void setCustomRate(BigDecimal customRate) {
        this.customRate = customRate;
    }
}
